%define module qtnetworkauth

%define major 5
%define qtnetworkauth %mklibname qt5networkauth %{major}
%define qtnetworkauthd %mklibname qt5networkauth -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.4
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif
Requires:	qt5-qtnetworkauth = %{EVRD}

%description
Version 5 of the Qt toolkit (%{module} packages).

#--------------------------------------------------------------------

%package -n %{qtnetworkauth}
Summary:	Qt 5 Network Authorization library
Group:		System/Libraries

%description -n %{qtnetworkauth}
Qt 5 Network Authorization library.

%files -n %{qtnetworkauth}
%{_qt5_libdir}/libQt5NetworkAuth.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{qtnetworkauthd}
Summary:	Development files for Qt 5 Network Authorization library
Group:		Development/KDE and Qt
Requires:	%{qtnetworkauth} = %{EVRD}
Provides:	qt5-qtnetworkauth-devel = %{EVRD}
Provides:	qt5-networkauth-devel = %{EVRD}

%description -n %{qtnetworkauthd}
Development files for Qt 5 Network Authorization library.

%files -n %{qtnetworkauthd}
%{_qt5_includedir}/QtNetworkAuth
%{_qt5_libdir}/libQt5NetworkAuth.so
%{_qt5_libdir}/libQt5NetworkAuth.prl
%{_qt5_libdir}/cmake/Qt5NetworkAuth/*
%{_qt5_libdir}/pkgconfig/Qt5NetworkAuth.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt5NetworkAuth.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_networkauth.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_networkauth_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtnetworkauth.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/oauth/

#----------------------------------------------------------------------------


%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make

%if %{with docs}
%make docs
%endif

%install
%makeinstall_qt

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt5/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt5/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd


%changelog

* Wed Jan 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (bd2c0d9) New version 5.9.4


